<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$currentVersion = 1;

mysqli_begin_transaction($conn);

if (isset($_POST["AddNew_DR"])) 
{
    try
    {
        $keys = [
            "drsi_date",
            "drsi_customer_name",
            "drsi_number",
            "drsi_jmb_crates",
			"drsi_jmb_to_crates",
            "drsi_jmb_trays",
			"drsi_jmb_to_trays",
			"drsi_jmb_pcs",
            "drsi_xlr_crates",
			"drsi_xlr_to_crates",
            "drsi_xlr_trays",
			"drsi_xlr_to_trays",
			"drsi_xlr_pcs",
            "drsi_lrg_crates",
			"drsi_lrg_to_crates",
            "drsi_lrg_trays",
			"drsi_lrg_to_trays",
			"drsi_lrg_pcs",
            "drsi_med_crates",
			"drsi_med_to_crates",
            "drsi_med_trays",
			"drsi_med_to_trays",
			"drsi_med_pcs",
            "drsi_sml_crates",
			"drsi_sml_to_crates",
            "drsi_sml_trays",
			"drsi_sml_to_trays",
			"drsi_sml_pcs",
            "drsi_pul_crates",
			"drsi_pul_to_crates",
            "drsi_pul_trays",
			"drsi_pul_to_trays",
			"drsi_pul_pcs",
            "drsi_pwe_crates",
			"drsi_pwe_to_crates",
            "drsi_pwe_trays",
			"drsi_pwe_to_trays",
			"drsi_pwe_pcs",
            "drsi_spw_crates",
			"drsi_spw_to_crates",
            "drsi_spw_trays",
			"drsi_spw_to_trays",
			"drsi_spw_pcs",
            "drsi_b1_crates",
			"drsi_b1_to_crates",
            "drsi_b1_trays",
			"drsi_b1_to_trays",
			"drsi_b1_pcs",
            "drsi_b2_crates",
			"drsi_b2_to_crates",
            "drsi_b2_trays",
			"drsi_b2_to_trays",
			"drsi_b2_pcs",
            "drsi_b3_crates",
			"drsi_b3_to_crates",
            "drsi_b3_trays",
			"drsi_b3_to_trays",
			"drsi_b3_pcs",
            "drsi_dirty_crates",
			"drsi_dirty_to_crates",
            "drsi_dirty_trays",
			"drsi_dirty_to_trays",
			"drsi_dirty_pcs",
            "drsi_assorted",
            "drsi_others",
            "drsi_ass_jmb_bd",
            "drsi_ass_xlr_bd",
            "drsi_ass_lrg_bd",
            "drsi_ass_med_bd",
            "drsi_ass_sml_bd",
            "drsi_ass_pul_bd",
            "drsi_ass_pwe_bd",
            "drsi_ass_spw_bd",
            "drsi_ass_b1_bd",
            "drsi_ass_b2_bd",
            "drsi_ass_b3_bd",
            "drsi_ass_dirty_bd",
            "drsi_oth_jmb_bd",
            "drsi_oth_xlr_bd",
            "drsi_oth_lrg_bd",
            "drsi_oth_med_bd",
            "drsi_oth_sml_bd",
            "drsi_oth_pul_bd",
            "drsi_oth_pwe_bd",
            "drsi_oth_spw_bd",
            "drsi_oth_b1_bd",
            "drsi_oth_b2_bd",
            "drsi_oth_b3_bd",
            "drsi_oth_dirty_bd"
        ];
        $data = getDataFromPost($keys, $_POST);

        $checkQuery = "SELECT * FROM delivery_receipt WHERE dr_date = ? AND is_deleted = FALSE AND is_current = TRUE";
        $checkResult = executeQuery($conn, $checkQuery, "s", [$data["drsi_date"]]);

        if ($checkResult === false) {
            throw new Exception("Error executing query: " . $conn->error);
        }

        if ($checkResult->num_rows > 0) { 
            ?>
			<script>
				alert( "The DR for Today has already been created." );
			</script>
			<?php
			exit();
        }
		
        $result = executeQuery(
			$conn,
			"INSERT INTO delivery_receipt (
				addedby_user,
				dr_date,
				dr_customer_name,
				dr_number,
				dr_jmb_crates,
				dr_jmb_to_crates,
				dr_jmb_trays,
				dr_jmb_to_trays,
				dr_jmb_pcs,
				dr_xlr_crates,
				dr_xlr_to_crates,
				dr_xlr_trays,
				dr_xlr_to_trays,
				dr_xlr_pcs,
				dr_lrg_crates,
				dr_lrg_to_crates,
				dr_lrg_trays,
				dr_lrg_to_trays,
				dr_lrg_pcs,
				dr_med_crates,
				dr_med_to_crates,
				dr_med_trays,
				dr_med_to_trays,
				dr_med_pcs,
				dr_sml_crates,
				dr_sml_to_crates,
				dr_sml_trays,
				dr_sml_to_trays,
				dr_sml_pcs,
				dr_pul_crates,
				dr_pul_to_crates,
				dr_pul_trays,
				dr_pul_to_trays,
				dr_pul_pcs,
				dr_pwe_crates,
				dr_pwe_to_crates,
				dr_pwe_trays,
				dr_pwe_to_trays,
				dr_pwe_pcs,
				dr_spw_crates,
				dr_spw_to_crates,
				dr_spw_trays,
				dr_spw_to_trays,
				dr_spw_pcs,
				dr_b1_crates,
				dr_b1_to_crates,
				dr_b1_trays,
				dr_b1_to_trays,
				dr_b1_pcs,
				dr_b2_crates,
				dr_b2_to_crates,
				dr_b2_trays,
				dr_b2_to_trays,
				dr_b2_pcs,
				dr_b3_crates,
				dr_b3_to_crates,
				dr_b3_trays,
				dr_b3_to_trays,
				dr_b3_pcs,
				dr_dirty_crates,
				dr_dirty_to_crates,
				dr_dirty_trays,
				dr_dirty_to_trays,
				dr_dirty_pcs,
				dr_assorted,
				dr_others,
				dr_ass_jmb_bd,
				dr_ass_xlr_bd,
				dr_ass_lrg_bd,
				dr_ass_med_bd,
				dr_ass_sml_bd,
				dr_ass_pul_bd,
				dr_ass_pwe_bd,
				dr_ass_spw_bd,
				dr_ass_b1_bd,
				dr_ass_b2_bd,
				dr_ass_b3_bd,
				dr_ass_dirty_bd,
				dr_oth_jmb_bd,
				dr_oth_xlr_bd,
				dr_oth_lrg_bd,
				dr_oth_med_bd,
				dr_oth_sml_bd,
				dr_oth_pul_bd,
				dr_oth_pwe_bd,
				dr_oth_spw_bd,
				dr_oth_b1_bd,
				dr_oth_b2_bd,
				dr_oth_b3_bd,
				dr_oth_dirty_bd,
				is_deleted,
				version,
				is_current
			) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, FALSE, ?, TRUE)",
			"ssssisisiisisiisisiisisiisisiisisiisisiisisiisisiisisiisisiisisiiiiiiiiiiiiiiiiiiiiiiiiiiii",
			[
				$userName,
				$data["drsi_date"],
				$data["drsi_customer_name"],
				$data["drsi_number"],
				$data["drsi_jmb_crates"],
				$data["drsi_jmb_to_crates"],
				$data["drsi_jmb_trays"],
				$data["drsi_jmb_to_trays"],
				$data["drsi_jmb_pcs"],
				$data["drsi_xlr_crates"],
				$data["drsi_xlr_to_crates"],
				$data["drsi_xlr_trays"],
				$data["drsi_xlr_to_trays"],
				$data["drsi_xlr_pcs"],
				$data["drsi_lrg_crates"],
				$data["drsi_lrg_to_crates"],
				$data["drsi_lrg_trays"],
				$data["drsi_lrg_to_trays"],
				$data["drsi_lrg_pcs"],
				$data["drsi_med_crates"],
				$data["drsi_med_to_crates"],
				$data["drsi_med_trays"],
				$data["drsi_med_to_trays"],
				$data["drsi_med_pcs"],
				$data["drsi_sml_crates"],
				$data["drsi_sml_to_crates"],
				$data["drsi_sml_trays"],
				$data["drsi_sml_to_trays"],
				$data["drsi_sml_pcs"],
				$data["drsi_pul_crates"],
				$data["drsi_pul_to_crates"],
				$data["drsi_pul_trays"],
				$data["drsi_pul_to_trays"],
				$data["drsi_pul_pcs"],
				$data["drsi_pwe_crates"],
				$data["drsi_pwe_to_crates"],
				$data["drsi_pwe_trays"],
				$data["drsi_pwe_to_trays"],
				$data["drsi_pwe_pcs"],
				$data["drsi_spw_crates"],
				$data["drsi_spw_to_crates"],
				$data["drsi_spw_trays"],
				$data["drsi_spw_to_trays"],
				$data["drsi_spw_pcs"],
				$data["drsi_b1_crates"],
				$data["drsi_b1_to_crates"],
				$data["drsi_b1_trays"],
				$data["drsi_b1_to_trays"],
				$data["drsi_b1_pcs"],
				$data["drsi_b2_crates"],
				$data["drsi_b2_to_crates"],
				$data["drsi_b2_trays"],
				$data["drsi_b2_to_trays"],
				$data["drsi_b2_pcs"],
				$data["drsi_b3_crates"],
				$data["drsi_b3_to_crates"],
				$data["drsi_b3_trays"],
				$data["drsi_b3_to_trays"],
				$data["drsi_b3_pcs"],
				$data["drsi_dirty_crates"],
				$data["drsi_dirty_to_crates"],
				$data["drsi_dirty_trays"],
				$data["drsi_dirty_to_trays"],
				$data["drsi_dirty_pcs"],
				$data["drsi_assorted"],
				$data["drsi_others"],
				$data["drsi_ass_jmb_bd"],
				$data["drsi_ass_xlr_bd"],
				$data["drsi_ass_lrg_bd"],
				$data["drsi_ass_med_bd"],
				$data["drsi_ass_sml_bd"],
				$data["drsi_ass_pul_bd"],
				$data["drsi_ass_pwe_bd"],
				$data["drsi_ass_spw_bd"],
				$data["drsi_ass_b1_bd"],
				$data["drsi_ass_b2_bd"],
				$data["drsi_ass_b3_bd"],
				$data["drsi_ass_dirty_bd"],
				$data["drsi_oth_jmb_bd"],
				$data["drsi_oth_xlr_bd"],
				$data["drsi_oth_lrg_bd"],
				$data["drsi_oth_med_bd"],
				$data["drsi_oth_sml_bd"],
				$data["drsi_oth_pul_bd"],
				$data["drsi_oth_pwe_bd"],
				$data["drsi_oth_spw_bd"],
				$data["drsi_oth_b1_bd"],
				$data["drsi_oth_b2_bd"],
				$data["drsi_oth_b3_bd"],
				$data["drsi_oth_dirty_bd"],
				$currentVersion
			]
		);

        if ($result === false) { 
            throw new Exception("Error executing query: " . $conn->error);
        } 

        mysqli_commit($conn);
        
        header("Location: " . $_SERVER["REQUEST_URI"]);
        exit();
    }
    catch (Exception $e) 
    {
        mysqli_rollback($conn);
        // Log the error message
        error_log($e->getMessage());
        // Redirect to an error page or display an error message
        echo "Error: " . $e->getMessage();
        // header("Location: error_page.php");
        // exit();
    }
}

if (isset($_POST["Update_DR"])) 
{
    try
    {
        $keys = [
            "drsi_date",
            "drsi_customer_name",
			"drsi_number",
            "drsi_jmb_crates",
			"drsi_jmb_to_crates",
            "drsi_jmb_trays",
			"drsi_jmb_to_trays",
			"drsi_jmb_pcs",
            "drsi_xlr_crates",
			"drsi_xlr_to_crates",
            "drsi_xlr_trays",
			"drsi_xlr_to_trays",
			"drsi_xlr_pcs",
            "drsi_lrg_crates",
			"drsi_lrg_to_crates",
            "drsi_lrg_trays",
			"drsi_lrg_to_trays",
			"drsi_lrg_pcs",
            "drsi_med_crates",
			"drsi_med_to_crates",
            "drsi_med_trays",
			"drsi_med_to_trays",
			"drsi_med_pcs",
            "drsi_sml_crates",
			"drsi_sml_to_crates",
            "drsi_sml_trays",
			"drsi_sml_to_trays",
			"drsi_sml_pcs",
            "drsi_pul_crates",
			"drsi_pul_to_crates",
            "drsi_pul_trays",
			"drsi_pul_to_trays",
			"drsi_pul_pcs",
            "drsi_pwe_crates",
			"drsi_pwe_to_crates",
            "drsi_pwe_trays",
			"drsi_pwe_to_trays",
			"drsi_pwe_pcs",
            "drsi_spw_crates",
			"drsi_spw_to_crates",
            "drsi_spw_trays",
			"drsi_spw_to_trays",
			"drsi_spw_pcs",
            "drsi_b1_crates",
			"drsi_b1_to_crates",
            "drsi_b1_trays",
			"drsi_b1_to_trays",
			"drsi_b1_pcs",
            "drsi_b2_crates",
			"drsi_b2_to_crates",
            "drsi_b2_trays",
			"drsi_b2_to_trays",
			"drsi_b2_pcs",
            "drsi_b3_crates",
			"drsi_b3_to_crates",
            "drsi_b3_trays",
			"drsi_b3_to_trays",
			"drsi_b3_pcs",
            "drsi_dirty_crates",
			"drsi_dirty_to_crates",
            "drsi_dirty_trays",
			"drsi_dirty_to_trays",
			"drsi_dirty_pcs",
            "drsi_assorted",
            "drsi_others",
            "drsi_ass_jmb_bd",
            "drsi_ass_xlr_bd",
            "drsi_ass_lrg_bd",
            "drsi_ass_med_bd",
            "drsi_ass_sml_bd",
            "drsi_ass_pul_bd",
            "drsi_ass_pwe_bd",
            "drsi_ass_spw_bd",
            "drsi_ass_b1_bd",
            "drsi_ass_b2_bd",
            "drsi_ass_b3_bd",
            "drsi_ass_dirty_bd",
            "drsi_oth_jmb_bd",
            "drsi_oth_xlr_bd",
            "drsi_oth_lrg_bd",
            "drsi_oth_med_bd",
            "drsi_oth_sml_bd",
            "drsi_oth_pul_bd",
            "drsi_oth_pwe_bd",
            "drsi_oth_spw_bd",
            "drsi_oth_b1_bd",
            "drsi_oth_b2_bd",
            "drsi_oth_b3_bd",
            "drsi_oth_dirty_bd"
        ];
        $data = getDataFromPost($keys, $_POST);
		$result = executeQuery($conn, "SELECT * FROM delivery_receipt WHERE id = ?", "s", [$_POST["drsi_id"]]);
		
		if ($result === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		}
		
		if ($result->num_rows > 0)
		{
			$currentRecord = $result->fetch_assoc();
            $id = $currentRecord["id"];
			$currentVersion = $currentRecord["version"];
			
			// Mark the current version as outdated
            $updateOldVersionQuery = "UPDATE delivery_receipt SET is_current = FALSE WHERE id = ? AND is_current = TRUE";
            $updateOldVersionResult = executeQuery($conn, $updateOldVersionQuery, "i", [$id]);
			
			if ($updateOldVersionResult === false) { 
				throw new Exception("Error executing query: " . $conn->error);
			}
			
			// Insert the new version
            $newVersion = $currentVersion + 1;
            $insertNewVersionQuery = "INSERT INTO delivery_receipt (addedby_user,dr_date,dr_customer_name,dr_number,dr_jmb_crates,dr_jmb_to_crates,dr_jmb_trays,dr_jmb_to_trays,dr_jmb_pcs,dr_xlr_crates,dr_xlr_to_crates,dr_xlr_trays,dr_xlr_to_trays,dr_xlr_pcs,dr_lrg_crates,dr_lrg_to_crates,dr_lrg_trays,dr_lrg_to_trays,dr_lrg_pcs,dr_med_crates,dr_med_to_crates,dr_med_trays,dr_med_to_trays,dr_med_pcs,dr_sml_crates,dr_sml_to_crates,dr_sml_trays,dr_sml_to_trays,dr_sml_pcs,dr_pul_crates,dr_pul_to_crates,dr_pul_trays,dr_pul_to_trays,dr_pul_pcs,dr_pwe_crates,dr_pwe_to_crates,dr_pwe_trays,dr_pwe_to_trays,dr_pwe_pcs,dr_spw_crates,dr_spw_to_crates,dr_spw_trays,dr_spw_to_trays,dr_spw_pcs,dr_b1_crates,dr_b1_to_crates,dr_b1_trays,dr_b1_to_trays,dr_b1_pcs,dr_b2_crates,dr_b2_to_crates,dr_b2_trays,dr_b2_to_trays,dr_b2_pcs,dr_b3_crates,dr_b3_to_crates,dr_b3_trays,dr_b3_to_trays,dr_b3_pcs,dr_dirty_crates,dr_dirty_to_crates,dr_dirty_trays,dr_dirty_to_trays,dr_dirty_pcs,dr_assorted,dr_others,dr_ass_jmb_bd,dr_ass_xlr_bd,dr_ass_lrg_bd,dr_ass_med_bd,dr_ass_sml_bd,dr_ass_pul_bd,dr_ass_pwe_bd,dr_ass_spw_bd,dr_ass_b1_bd,dr_ass_b2_bd,dr_ass_b3_bd,dr_ass_dirty_bd,dr_oth_jmb_bd,dr_oth_xlr_bd,dr_oth_lrg_bd,dr_oth_med_bd,dr_oth_sml_bd,dr_oth_pul_bd,dr_oth_pwe_bd,dr_oth_spw_bd,dr_oth_b1_bd,dr_oth_b2_bd,dr_oth_b3_bd,dr_oth_dirty_bd,version,is_current) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, TRUE)";
            $updateResult = executeQuery($conn, $insertNewVersionQuery, "ssssisisiisisiisisiisisiisisiisisiisisiisisiisisiisisiisisiisisiiiiiiiiiiiiiiiiiiiiiiiiiiii", [$userName, $data["drsi_date"], $data["drsi_customer_name"], $data["drsi_number"], $data["drsi_jmb_crates"], $data["drsi_jmb_to_crates"], $data["drsi_jmb_trays"], $data["drsi_jmb_to_trays"], $data["drsi_jmb_pcs"], $data["drsi_xlr_crates"], $data["drsi_xlr_to_crates"], $data["drsi_xlr_trays"], $data["drsi_xlr_to_trays"], $data["drsi_xlr_pcs"], $data["drsi_lrg_crates"], $data["drsi_lrg_to_crates"], $data["drsi_lrg_trays"], $data["drsi_lrg_to_trays"], $data["drsi_lrg_pcs"], $data["drsi_med_crates"], $data["drsi_med_to_crates"], $data["drsi_med_trays"], $data["drsi_med_to_trays"], $data["drsi_med_pcs"], $data["drsi_sml_crates"], $data["drsi_sml_to_crates"], $data["drsi_sml_trays"], $data["drsi_sml_to_trays"], $data["drsi_sml_pcs"], $data["drsi_pul_crates"], $data["drsi_pul_to_crates"], $data["drsi_pul_trays"], $data["drsi_pul_to_trays"], $data["drsi_pul_pcs"], $data["drsi_pwe_crates"], $data["drsi_pwe_to_crates"], $data["drsi_pwe_trays"], $data["drsi_pwe_to_trays"], $data["drsi_pwe_pcs"], $data["drsi_spw_crates"], $data["drsi_spw_to_crates"], $data["drsi_spw_trays"], $data["drsi_spw_to_trays"], $data["drsi_spw_pcs"], $data["drsi_b1_crates"], $data["drsi_b1_to_crates"], $data["drsi_b1_trays"], $data["drsi_b1_to_trays"], $data["drsi_b1_pcs"], $data["drsi_b2_crates"], $data["drsi_b2_to_crates"], $data["drsi_b2_trays"], $data["drsi_b2_to_trays"], $data["drsi_b2_pcs"], $data["drsi_b3_crates"], $data["drsi_b3_to_crates"], $data["drsi_b3_trays"], $data["drsi_b3_to_trays"], $data["drsi_b3_pcs"], $data["drsi_dirty_crates"], $data["drsi_dirty_to_crates"], $data["drsi_dirty_trays"], $data["drsi_dirty_to_trays"], $data["drsi_dirty_pcs"], $data["drsi_assorted"], $data["drsi_others"], $data["drsi_ass_jmb_bd"], $data["drsi_ass_xlr_bd"], $data["drsi_ass_lrg_bd"], $data["drsi_ass_med_bd"], $data["drsi_ass_sml_bd"], $data["drsi_ass_pul_bd"], $data["drsi_ass_pwe_bd"], $data["drsi_ass_spw_bd"], $data["drsi_ass_b1_bd"], $data["drsi_ass_b2_bd"], $data["drsi_ass_b3_bd"], $data["drsi_ass_dirty_bd"], $data["drsi_oth_jmb_bd"], $data["drsi_oth_xlr_bd"], $data["drsi_oth_lrg_bd"], $data["drsi_oth_med_bd"], $data["drsi_oth_sml_bd"], $data["drsi_oth_pul_bd"], $data["drsi_oth_pwe_bd"], $data["drsi_oth_spw_bd"], $data["drsi_oth_b1_bd"], $data["drsi_oth_b2_bd"], $data["drsi_oth_b3_bd"], $data["drsi_oth_dirty_bd"], $newVersion]);
			
			if ($updateResult === false) { 
				throw new Exception("Error executing query: " . $conn->error);
			} 
			
			mysqli_commit($conn);

			header("Location: " . $_SERVER["REQUEST_URI"]);
			exit();
		}
    } catch (Exception $e) {
        mysqli_rollback($conn);
        // Log the error message
        error_log($e->getMessage());
        // Redirect to an error page or display an error message
        //echo "Error: " . $e->getMessage();
        // header("Location: error_page.php");
        // exit();
    }
}
?>