<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$response = array(); 

$dr_date = isset($_POST["dr_date"]) ? $_POST["dr_date"] : date("Y-m-d");

$query = "SELECT 
    COALESCE(SUM(JMB), 0) as JMB_tally, 
    COALESCE(SUM(XLR), 0) as XLR_tally, 
    COALESCE(SUM(LRG), 0) as LRG_tally,  
    COALESCE(SUM(MED), 0) as MED_tally, 
    COALESCE(SUM(SML), 0) as SML_tally, 
    COALESCE(SUM(PUL), 0) as PUL_tally, 
    COALESCE(SUM(PWE), 0) as PWE_tally, 
    COALESCE(SUM(SPW), 0) as SPW_tally, 
    COALESCE(SUM(B1), 0) as B1_tally, 
    COALESCE(SUM(B2), 0) as B2_tally, 
    COALESCE(SUM(B3), 0) as B3_tally, 
    COALESCE(SUM(Dirty), 0) as Dirty_tally 
FROM egg_weight WHERE ProductionDate = ? AND is_current = TRUE";
$result = executeQuery($conn, $query, "s", [$dr_date]);

if ($result === false) { 
    throw new Exception("Error executing query: " . $conn->error);
} 

$JMB_crates = $XLR_crates = $LRG_crates = $MED_crates = $SML_crates = $PUL_crates = $PWE_crates = $SPW_crates = $B1_crates = $B2_crates = $B3_crates = $Dirty_crates = 0;
$JMB_trays = $XLR_trays = $LRG_trays = $MED_trays = $SML_trays = $PUL_trays = $PWE_trays = $SPW_trays = $B1_trays = $B2_trays = $B3_trays = $Dirty_trays = 0;

if ($result) {
    while ($row = mysqli_fetch_assoc($result)) {
		// PCS
		$JMB_pcs = $row["JMB_tally"];
        $XLR_pcs = $row["XLR_tally"];
        $LRG_pcs = $row["LRG_tally"];
        $MED_pcs = $row["MED_tally"];
        $SML_pcs = $row["SML_tally"];
        $PUL_pcs = $row["PUL_tally"];
        $PWE_pcs = $row["PWE_tally"];
        $SPW_pcs = $row["SPW_tally"];
        $B1_pcs = $row["B1_tally"];
        $B2_pcs = $row["B2_tally"];
        $B3_pcs = $row["B3_tally"];
        $Dirty_pcs = $row["Dirty_tally"];
		
		$response["JMB_pcs"] = $JMB_pcs;
        $response["XLR_pcs"] = $XLR_pcs;
        $response["LRG_pcs"] = $LRG_pcs;
        $response["MED_pcs"] = $MED_pcs;
        $response["SML_pcs"] = $SML_pcs;
        $response["PUL_pcs"] = $PUL_pcs;
        $response["PWE_pcs"] = $PWE_pcs;
        $response["SPW_pcs"] = $SPW_pcs;
        $response["B1_pcs"] = $B1_pcs;
        $response["B2_pcs"] = $B2_pcs;
        $response["B3_pcs"] = $B3_pcs;
        $response["Dirty_pcs"] = $Dirty_pcs;
		
		// Converted to Trays
        $JMB_to_trays = $row["JMB_tally"] / 15;
        $XLR_to_trays = $row["XLR_tally"] / 30;
        $LRG_to_trays = $row["LRG_tally"] / 30;
        $MED_to_trays = $row["MED_tally"] / 30;
        $SML_to_trays = $row["SML_tally"] / 30;
        $PUL_to_trays = $row["PUL_tally"] / 30;
        $PWE_to_trays = $row["PWE_tally"] / 30;
        $SPW_to_trays = $row["SPW_tally"] / 30;
        $B1_to_trays = $row["B1_tally"] / 30;
        $B2_to_trays = $row["B2_tally"] / 30;
        $B3_to_trays = $row["B3_tally"] / 30;
        $Dirty_to_trays = $row["Dirty_tally"] / 30;

        $response["JMB_to_trays"] = $JMB_to_trays;
        $response["XLR_to_trays"] = $XLR_to_trays;
        $response["LRG_to_trays"] = $LRG_to_trays;
        $response["MED_to_trays"] = $MED_to_trays;
        $response["SML_to_trays"] = $SML_to_trays;
        $response["PUL_to_trays"] = $PUL_to_trays;
        $response["PWE_to_trays"] = $PWE_to_trays;
        $response["SPW_to_trays"] = $SPW_to_trays;
        $response["B1_to_trays"] = $B1_to_trays;
        $response["B2_to_trays"] = $B2_to_trays;
        $response["B3_to_trays"] = $B3_to_trays;
        $response["Dirty_to_trays"] = $Dirty_to_trays;
    }
}

if (empty($response)) {
    echo json_encode(["status" => "error", "message" => "ipepQuery - An error occurred while processing your request."]);
} else {
    echo json_encode($response);
}
?>