<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

mysqli_begin_transaction($conn);

if (isset($_POST["Delete_DR"]) && isset($_POST["drsi_id"]) && !empty($_POST["drsi_id"]))
{
	try
	{
		$result = executeQuery($conn, "SELECT * FROM delivery_receipt WHERE id = ?", "s", [$_POST["drsi_id"]]);
		
		if ($result === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		} 
		
		if ($result->num_rows > 0)
		{
			$id = $result->fetch_assoc()["id"];
            $deleteResult = executeQuery($conn, "UPDATE delivery_receipt SET is_deleted = TRUE WHERE id = ?", "s", [$id]);
			
			if ($deleteResult === false) { 
				throw new Exception("Error executing query: " . $conn->error);
			} 

			mysqli_commit($conn);

			header("Location: " . $_SERVER["REQUEST_URI"]);
			exit();
		}
	}
	catch (Exception $e) 
    {
        mysqli_rollback($conn);
		// Log the error message
        error_log($e->getMessage());
		// Redirect to an error page or display an error message
        //header("Location: error_page.php");
        //exit();
    }
}

if (isset($_POST["Delete_SI"]) && isset($_POST["drsi_id"]) && !empty($_POST["drsi_id"]))
{
	try
	{
		$result = executeQuery($conn, "SELECT * FROM sales_invoice WHERE id = ?", "s", [$_POST["drsi_id"]]);
		
		if ($result === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		} 
		
		if ($result->num_rows > 0)
		{
			$id = $result->fetch_assoc()["id"];
            $deleteResult = executeQuery($conn, "UPDATE sales_invoice SET is_deleted = TRUE WHERE id = ?", "s", [$id]);
			
			if ($deleteResult === false) { 
				throw new Exception("Error executing query: " . $conn->error);
			} 

			mysqli_commit($conn);

			header("Location: " . $_SERVER["REQUEST_URI"]);
			exit();
		}
	}
	catch (Exception $e) 
    {
        mysqli_rollback($conn);
		// Log the error message
        error_log($e->getMessage());
		// Redirect to an error page or display an error message
        //header("Location: error_page.php");
        //exit();
    }
}

if (isset($_POST["Delete_PL"]) && isset($_POST["pl_id"]) && !empty($_POST["pl_id"]))
{
	try
	{
		$result = executeQuery($conn, "SELECT * FROM pricelist WHERE id = ?", "s", [$_POST["pl_id"]]);
		
		if ($result === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		} 
		
		if ($result->num_rows > 0)
		{
			$id = $result->fetch_assoc()["id"];
            $deleteResult = executeQuery($conn, "UPDATE pricelist SET is_deleted = TRUE WHERE id = ?", "s", [$id]);
			
			if ($deleteResult === false) { 
				throw new Exception("Error executing query: " . $conn->error);
			} 

			mysqli_commit($conn);

			header("Location: " . $_SERVER["REQUEST_URI"]);
			exit();
		}
	}
	catch (Exception $e) 
    {
        mysqli_rollback($conn);
		// Log the error message
        error_log($e->getMessage());
		// Redirect to an error page or display an error message
        //header("Location: error_page.php");
        //exit();
    }
}
?>